Subject: [MMUSIC] SCTP-SDP: SDP connection attribute considerations

From: Christer Holmberg <[email-masked]>
Date: Thu, 27 Nov 2014 20:54:56 +0000

Hi,

For SCTP-SDP, the general idea is that the SDP connection attribute is used in the same way as for TCP,
i.e. an attribute 'new' value means that a new SCTP association shall be created.

For 'SCTP' there should be no issues. The procedures are more or less identical as for TCP (the difference being that both endpoints initiate the SCTP association).

---

For 'DTLS/SCTP', there are some decisions to make:

-          If the transport layer protocol is UDP, I assume a 'new' value will not automatically re-establish the DTLS connection - only the SCTP association will be re-established.

-          However, if the transport layer protocol is TCP, does that mean that a 'new' value will mean that BOTH the TCP connection, AND the SCTP association, will be re-established? IF the TCP connection is also re-established, then I guess the DTLS connection will be re-established.

I did not find any text in draft-ietf-tsvwg-sctp-dtls-encaps regarding this - which probably is because the transport layer protocol is outside the scope of the draft.

---

For 'SCTP/DTLS', I assume that 'new' means that the DTLS connection will also be re-established, as the underlying SCTP association is re-established. Also, RFC 6083 says:

                "Each DTLS connection MUST be established and terminated within the same SCTP association."

Regards,

Christer